Skip to content

models module route (requires models:registry:write)

PUT
/v1/m/models/owned-models/{id}
curl --request PUT \
--url https://example.com/v1/m/models/owned-models/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "base_ref": "example", "id": "example", "kind": "hosted", "name": "example", "note": "example", "owner_ref": "example", "provider_ref": "example", "status": "", "visibility": "" }'

Replaces one owned model with the posted document.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
base_ref
string
id
string
kind
required
string
Allowed values: hosted fine_tuned imported
name
required
string
>= 1 characters /\S/
note
string
owner_ref
string
provider_ref
string
status
string
default: active
Allowed values: "" active deprecated draft
visibility
string
default: private
Allowed values: "" private internal

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}